#include <iostream>
#include <vector>
#include <list>
#include <algorithm>

int main() {
    std::vector<double> source = {1.1, 2.2, 3.3, 4.4, 5.5};
    std::list<double> destination;

    std::copy(source.begin(), source.end(), std::back_inserter(destination));

    std::cout << "Destination list: ";
    for (const auto& num : destination) {
        std::cout << num << " ";
    }
    std::cout << std::endl;

    return 0;
}
